Loading...
Searching...
No Matches
casacore::PutColumnSlices Class Reference
tables package (libcasa_tables) » Tables_module

Functor to get irregular array slices from a column. More...

`#include <ArrayColumnFunc.h>`

## Public Member Functions

| PutColumnSlices (ArrayColumnBase &col)
virtual void | apply (const Slicer &slicer, ArrayBase &arr)
Public Member Functions inherited from casacore::BaseSlicesFunctor
virtual | ~BaseSlicesFunctor ()

## Private Attributes

ArrayColumnBase & | itsCol

## Detailed Description

Functor to get irregular array slices from a column.

Definition at line 94 of file ArrayColumnFunc.h.

## Constructor & Destructor Documentation

## PutColumnSlices()

casacore::PutColumnSlices::PutColumnSlices | ( | ArrayColumnBase & | col | ) |

inline

Definition at line 97 of file ArrayColumnFunc.h.

References itsCol.

## Member Function Documentation

## apply()

virtual void casacore::PutColumnSlices::apply | ( | const Slicer & | slicer,
|  | ArrayBase & | arr )

inline virtual

Implements casacore::BaseSlicesFunctor.

Definition at line 100 of file ArrayColumnFunc.h.

References itsCol.

## Member Data Documentation

## itsCol

ArrayColumnBase& casacore::PutColumnSlices::itsCol

private

Definition at line 103 of file ArrayColumnFunc.h.

Referenced by apply(), and PutColumnSlices().

The documentation for this class was generated from the following file:

- tables/Tables/ArrayColumnFunc.h